# XQilla Simple API Documentation

# FunctionRef Class Reference

`#include <FunctionRef.hpp>`

Inheritance diagram for FunctionRef:
[legend]

List of all members.

## Public Types

typedef RefCountPointer< const FunctionRef > | Ptr

## Public Member Functions

virtual bool | isNode () const
virtual bool | isAtomicValue () const
virtual bool | isFunction () const
virtual const XMLCh * | getTypeURI () const
virtual const XMLCh * | getTypeName () const
virtual ATQNameOrDerived::Ptr | getName (const DynamicContext *context) const =0
virtual size_t | getNumArgs () const =0
virtual const FunctionSignature * | getSignature () const =0
virtual Result | execute (const VectorOfResults &args, DynamicContext *context, const LocationInfo *location) const =0
virtual FunctionRef::Ptr | partialApply (const Result &arg, unsigned int argNum, DynamicContext *context, const LocationInfo *location) const =0

## Protected Member Functions

| FunctionRef ()

## Member Typedef Documentation

typedef RefCountPointer<const FunctionRef> FunctionRef::Ptr

Reimplemented from Item.

## Constructor & Destructor Documentation

FunctionRef::FunctionRef | ( |  | ) | `[inline, protected]`

## Member Function Documentation

virtual Result FunctionRef::execute | ( | const VectorOfResults & | args,
|  | DynamicContext * | context,
|  | const LocationInfo * | location |
| ) |  |  | const`[pure virtual]`

virtual ATQNameOrDerived::Ptr FunctionRef::getName | ( | const DynamicContext * | context | ) | const`[pure virtual]`

virtual size_t FunctionRef::getNumArgs | ( |  | ) | const`[pure virtual]`

virtual const FunctionSignature* FunctionRef::getSignature | ( |  | ) | const`[pure virtual]`

virtual const XMLCh* FunctionRef::getTypeName | ( |  | ) | const`[inline, virtual]`

Implements Item.

virtual const XMLCh* FunctionRef::getTypeURI | ( |  | ) | const`[inline, virtual]`

Implements Item.

virtual bool FunctionRef::isAtomicValue | ( |  | ) | const`[inline, virtual]`

Implements Item.

virtual bool FunctionRef::isFunction | ( |  | ) | const`[inline, virtual]`

Implements Item.

virtual bool FunctionRef::isNode | ( |  | ) | const`[inline, virtual]`

Implements Item.

virtual FunctionRef::Ptr FunctionRef::partialApply | ( | const Result & | arg,
|  | unsigned int | argNum,
|  | DynamicContext * | context,
|  | const LocationInfo * | location |
| ) |  |  | const`[pure virtual]`

The documentation for this class was generated from the following file:

- FunctionRef.hpp